/*
   SettingsDemo.js

   Demonstrates the SetApplicationSetting method

   Example HomeSite script From the article: 
     Under the Hood in HomeSite - Give Your Development Environment a Tuneup
     http://www.adobe.com/devnet/server_archive/articles/dev_environment_tuneup_hs.html
   by Dan Hulse

*/


function Main() {
   SET_DEFAULT_EXTENSION     = 4;
   SET_LOWERCASE_TAGS        = 30;
   SET_DIR_SNIPPETS_PRIVATE  = 151;
   SET_EDITOR_FONTNAME       = 300;
	

   with (Application){
     CurrentFolder = 'C:\\INETPUB\\WWWROOT\\MAIN';
     SetApplicationSetting(SET_DEFAULT_EXTENSION, 'CFM');
     SetApplicationSetting(SET_LOWERCASE_TAGS, true);
     SetApplicationSetting(SET_DIR_SNIPPETS_PRIVATE, 'C:\\INETPUB\\WWWROOT\\MAIN\\SNIPPETS');
     SetApplicationSetting(SET_EDITOR_FONTNAME, 'Lucida Console');
   }
}
	